API ReferenceGeneratedAuth

Rotate docs password

Rotate docs basic-auth password for the current app, or specify targetAppUid when calling from platform scope.

POST
/{appUid}/auth/docs-password

Authorization

bearerAuth
AuthorizationBearer <token>

Authorization for API

In: header

Path Parameters

appUid*string

Your app's unique id. Find it in the console under the app's Settings, or in the URL of any app page.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/497f6eca-6276-4993-bfeb-53cbbbba6f08/auth/docs-password" \  -H "Content-Type: application/json" \  -d '{    "docsPassword": "stringst"  }'
{  "message": "string",  "appUid": "string"}